org.eclipse.jetty.client.webdav

## Class WebdavListener

- java.lang.Object
- - org.eclipse.jetty.client.HttpEventListenerWrapper
  - - org.eclipse.jetty.client.webdav.WebdavListener

All Implemented Interfaces:
  HttpEventListener

    public class WebdavListener
    extends HttpEventListenerWrapper

WebdavListener

### Constructor Summary

Constructors
Constructor and Description
`WebdavListener(HttpDestination destination, HttpExchange ex)`

### Method Summary

Methods
`void` `onRequestComplete()`
`void` `onResponseComplete()`
`void` `onResponseStatus(Buffer version, int status, Buffer reason)`

### Methods inherited from class org.eclipse.jetty.client.HttpEventListenerWrapper

`getEventListener, isDelegatingRequests, isDelegatingResponses, onConnectionFailed, onException, onExpire, onRequestCommitted, onResponseContent, onResponseHeader, onResponseHeaderComplete, onRetry, setDelegatingRequests, setDelegatingResponses, setDelegationResult, setEventListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WebdavListener

    public WebdavListener(HttpDestination destination,
                  HttpExchange ex)

### Method Detail

#### onResponseStatus

    public void onResponseStatus(Buffer version,
                        int status,
                        Buffer reason)
                          throws IOException

Specified by:
  `onResponseStatus` in interface `HttpEventListener`
Overrides:
  `onResponseStatus` in class `HttpEventListenerWrapper`
Throws:
  `IOException`

#### onResponseComplete

    public void onResponseComplete()
                            throws IOException

Specified by:
  `onResponseComplete` in interface `HttpEventListener`
Overrides:
  `onResponseComplete` in class `HttpEventListenerWrapper`
Throws:
  `IOException`

#### onRequestComplete

    public void onRequestComplete()
                           throws IOException

Specified by:
  `onRequestComplete` in interface `HttpEventListener`
Overrides:
  `onRequestComplete` in class `HttpEventListenerWrapper`
Throws:
  `IOException`